# Sequence

    extension Sequence where Iterator.Element: OrderByClause

    extension Sequence where Iterator.Element: WhereClauseType

### Available where `Iterator.Element`: `OrderByClause`

- `combined()`

  Combines multiple `OrderBy` predicates together

  #### Declaration

  Swift

      public func combined() -> OrderBy<Iterator.Element.ObjectType>

### Available where `Iterator.Element`: `WhereClauseType`

- `combinedByAnd()`

  Combines multiple `Where` predicates together using `AND` operator

  #### Declaration

  Swift

      public func combinedByAnd() -> Where<Iterator.Element.ObjectType>

- `combinedByOr()`

  Combines multiple `Where` predicates together using `OR` operator

  #### Declaration

  Swift

      public func combinedByOr() -> Where<Iterator.Element.ObjectType>